Bug 806665 - Review Request: mosh - Mobile shell that supports roaming and intelligent local echo
Review Request: mosh - Mobile shell that supports roaming and intelligent loc...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 17:25 EDT by Alex Chernyakhovsky
Modified: 2014-04-20 19:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 08:25:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex Chernyakhovsky 2012-03-25 17:25:28 EDT
Spec URL: http://mit.edu/achernya/www/fedora/mosh.spec
SRPM URL: http://mit.edu/achernya/www/fedora/mosh-1.1-1.fc16.src.rpm
Description:

Mosh is a remote terminal application that supports:
  - intermittent network connectivity,
  - roaming to different IP address without dropping the connection, and
  - intelligent local echo and line editing to reduce the effects
    of "network lag" on high-latency connections.

Mosh has already been included in Debian.  I am working with the author (Keith Winstein) so that it can also be included in Fedora.
Comment 1 Michael Scherer 2012-03-26 07:25:09 EDT
Hi,

2 notes :
- can you put every BuildRequires/Requires on a single line, as this ease review of patch later ? ( not blocking for review )

- rm -rf $RPM_BUILD_ROOT is no longer needed in %install since some time, so it should be removed
Comment 2 Michael Scherer 2012-03-26 07:39:50 EDT
Package doesn't build in rawhide :
Mock Version: 1.1.21
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target i686 --nodeps builddir/build/SPECS/mosh.spec'], False, '/var/lib/mock/fedora-rawhide-i386/root/', None, 0, True, False, 500, 488, None, False, {'LANG': 'fr_FR.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x1fd0b10>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target i686 --nodeps builddir/build/SPECS/mosh.spec'] with env {'LANG': 'fr_FR.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
Construction pour plate-formes cibles: i686
Construction pour cible i686
Ecrit: /builddir/build/SRPMS/mosh-1.1-1.fc18.src.rpm
Child return code was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/mosh.spec'], False, '/var/lib/mock/fedora-rawhide-i386/root/', None, 0, True, False, 500, 488, None, False, {'LANG': 'fr_FR.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x1fd0b10>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/mosh.spec'] with env {'LANG': 'fr_FR.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
Construction pour plate-formes cibles: i686
Construction pour cible i686
Exécution_de(%prep): /bin/sh -e /var/tmp/rpm-tmp.MxmL2o
+ umask 022
+ cd /builddir/build/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /builddir/build/BUILD
+ rm -rf mosh-1.1
+ /usr/bin/gzip -dc /builddir/build/SOURCES/mosh-1.1.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd mosh-1.1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Exécution_de(%build): /bin/sh -e /var/tmp/rpm-tmp.2ARZxu
+ umask 022
+ cd /builddir/build/BUILD
+ cd mosh-1.1
+ LANG=C
+ export LANG
+ unset DISPLAY
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -I/usr/lib/gfortran/modules'
+ export FFLAGS
+ LDFLAGS='-Wl,-z,relro '
+ export LDFLAGS
+ ./configure --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --enable-compile-warnings=error
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-pc-linux-gnu-gcc... no
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking for i686-pc-linux-gnu-g++... no
checking for i686-pc-linux-gnu-c++... no
checking for i686-pc-linux-gnu-gpp... no
checking for i686-pc-linux-gnu-aCC... no
checking for i686-pc-linux-gnu-CC... no
checking for i686-pc-linux-gnu-cxx... no
checking for i686-pc-linux-gnu-cc++... no
checking for i686-pc-linux-gnu-cl.exe... no
checking for i686-pc-linux-gnu-FCC... no
checking for i686-pc-linux-gnu-KCC... no
checking for i686-pc-linux-gnu-RCC... no
checking for i686-pc-linux-gnu-xlC_r... no
checking for i686-pc-linux-gnu-xlC... no
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... none
checking for i686-pc-linux-gnu-ranlib... no
checking for ranlib... ranlib
checking for protoc... /usr/bin/protoc
checking for library containing utempter_remove_added_record... -lutempter
checking for library containing compress... -lz
checking for boostlib >= 1.20.0... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking curses.h usability... yes
checking curses.h presence... yes
checking for curses.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking pty.h usability... yes
checking pty.h presence... yes
checking for pty.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking term.h usability... yes
checking term.h presence... yes
checking for term.h... yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking for unistd.h... (cached) yes
checking util.h usability... no
checking util.h presence... no
checking for util.h... no
checking wchar.h usability... yes
checking wchar.h presence... yes
checking for wchar.h... yes
checking wctype.h usability... yes
checking wctype.h presence... yes
checking for wctype.h... yes
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking for inline... inline
checking for int64_t... yes
checking for pid_t... yes
checking for C/C++ restrict keyword... __restrict
checking for size_t... yes
checking for ssize_t... yes
checking for uint16_t... yes
checking for uint32_t... yes
checking for uint64_t... yes
checking for uint8_t... yes
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking whether mbrtowc and mbstate_t are properly declared... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking for gettimeofday... yes
checking for setrlimit... yes
checking for inet_ntoa... yes
checking for iswprint... yes
checking for memchr... yes
checking for memset... yes
checking for nl_langinfo... yes
checking for setenv... yes
checking for setlocale... yes
checking for sigaction... yes
checking for socket... yes
checking for strchr... yes
checking for strdup... yes
checking for strerror... yes
checking for strtol... yes
checking for wcwidth... yes
checking for library containing clock_gettime... -lrt
checking for setupterm in -lncurses... yes
checking whether mach_absolute_time is declared... no
checking whether pipe2 is declared... yes
checking whether signalfd is declared... yes
checking whether htobe64 is declared... yes
checking whether IP_MTU_DISCOVER is declared... yes
checking for i686-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for protobuf... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating third/Makefile
config.status: creating third/libstddjb/Makefile
config.status: creating src/Makefile
config.status: creating src/crypto/Makefile
config.status: creating src/frontend/Makefile
config.status: creating src/network/Makefile
config.status: creating src/protobufs/Makefile
config.status: creating src/statesync/Makefile
config.status: creating src/terminal/Makefile
config.status: creating src/util/Makefile
config.status: creating scripts/Makefile
config.status: creating src/examples/Makefile
config.status: creating man/Makefile
config.status: creating config.h
config.status: executing depfiles commands
+ make -j4
make  all-recursive
make[1]: Entering directory `/builddir/build/BUILD/mosh-1.1'
Making all in third
make[2]: Entering directory `/builddir/build/BUILD/mosh-1.1/third'
Making all in libstddjb
make[3]: Entering directory `/builddir/build/BUILD/mosh-1.1/third/libstddjb'
  CC     coe.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c coe.c
  CC     fd_close.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c fd_close.c
  CC     fd_read.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c fd_read.c
  CC     fd_write.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c fd_write.c
  CC     ndelay_on.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c ndelay_on.c
  CC     pipe_internal.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c pipe_internal.c
  CC     sanitize_read.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c sanitize_read.c
  CC     selfpipe_finish.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c selfpipe_finish.c
  CC     selfpipe_init.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c selfpipe_init.c
  CC     selfpipe_internal.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c selfpipe_internal.c
  CC     selfpipe_read.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c selfpipe_read.c
  CC     selfpipe_trap.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c selfpipe_trap.c
  CC     selfpipe_trapset.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c selfpipe_trapset.c
  CC     selfpipe_untrap.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c selfpipe_untrap.c
  CC     sig_restoreto.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c sig_restoreto.c
  CC     skasig_dfl.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c skasig_dfl.c
  CC     skasigaction.o
gcc -DHAVE_CONFIG_H -I. -I../..    -pedantic -Wall -Wextra -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c skasigaction.c
  AR     libstddjb.a
make[3]: Leaving directory `/builddir/build/BUILD/mosh-1.1/third/libstddjb'
make[3]: Entering directory `/builddir/build/BUILD/mosh-1.1/third'
make[3]: Nothing to be done for `all-am'.
make[3]: Leaving directory `/builddir/build/BUILD/mosh-1.1/third'
make[2]: Leaving directory `/builddir/build/BUILD/mosh-1.1/third'
Making all in src
make[2]: Entering directory `/builddir/build/BUILD/mosh-1.1/src'
Making all in protobufs
make[3]: Entering directory `/builddir/build/BUILD/mosh-1.1/src/protobufs'
  GEN    hostinput.pb.cc
  GEN    userinput.pb.cc
  GEN    transportinstruction.pb.cc
make  all-am
make[4]: Entering directory `/builddir/build/BUILD/mosh-1.1/src/protobufs'
  CXX    hostinput.pb.o
  CXX    userinput.pb.o
  CXX    transportinstruction.pb.o
g++ -DHAVE_CONFIG_H -I. -I../..    -Wall -Werror -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o userinput.pb.o userinput.pb.cc
g++ -DHAVE_CONFIG_H -I. -I../..    -Wall -Werror -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o hostinput.pb.o hostinput.pb.cc
g++ -DHAVE_CONFIG_H -I. -I../..    -Wall -Werror -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o transportinstruction.pb.o transportinstruction.pb.cc
  AR     libmoshprotos.a
make[4]: Leaving directory `/builddir/build/BUILD/mosh-1.1/src/protobufs'
make[3]: Leaving directory `/builddir/build/BUILD/mosh-1.1/src/protobufs'
Making all in util
make[3]: Entering directory `/builddir/build/BUILD/mosh-1.1/src/util'
  CXX    swrite.o
g++ -DHAVE_CONFIG_H -I. -I../..    -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o swrite.o swrite.cc
  AR     libmoshutil.a
make[3]: Leaving directory `/builddir/build/BUILD/mosh-1.1/src/util'
Making all in crypto
make[3]: Entering directory `/builddir/build/BUILD/mosh-1.1/src/crypto'
  CXX    crypto.o
  CXX    base64.o
  CXX    ocb.o
g++ -DHAVE_CONFIG_H -I. -I../..    -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o base64.o base64.cc
g++ -DHAVE_CONFIG_H -I. -I../..    -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o crypto.o crypto.cc
g++ -DHAVE_CONFIG_H -I. -I../..    -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o ocb.o ocb.cc
  CXX    rijndael-alg-fst.o
g++ -DHAVE_CONFIG_H -I. -I../..    -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o rijndael-alg-fst.o rijndael-alg-fst.cc
  AR     libmoshcrypto.a
make[3]: Leaving directory `/builddir/build/BUILD/mosh-1.1/src/crypto'
Making all in terminal
make[3]: Entering directory `/builddir/build/BUILD/mosh-1.1/src/terminal'
  CXX    parseraction.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o parseraction.o parseraction.cc
  CXX    parser.o
  CXX    parserstate.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o parser.o parser.cc
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o parserstate.o parserstate.cc
  CXX    terminal.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o terminal.o terminal.cc
  CXX    terminaldispatcher.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o terminaldispatcher.o terminaldispatcher.cc
  CXX    terminaldisplay.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o terminaldisplay.o terminaldisplay.cc
  CXX    terminaldisplayinit.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o terminaldisplayinit.o terminaldisplayinit.cc
  CXX    terminalframebuffer.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o terminalframebuffer.o terminalframebuffer.cc
  CXX    terminalfunctions.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o terminalfunctions.o terminalfunctions.cc
  CXX    terminaluserinput.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I/usr/include  -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o terminaluserinput.o terminaluserinput.cc
  AR     libmoshterminal.a
make[3]: Leaving directory `/builddir/build/BUILD/mosh-1.1/src/terminal'
Making all in network
make[3]: Entering directory `/builddir/build/BUILD/mosh-1.1/src/network'
  CXX    networktransport.o
  CXX    network.o
  CXX    transportfragment.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I./../crypto -I../protobufs -I/usr/include   -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o network.o network.cc
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I./../crypto -I../protobufs -I/usr/include   -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o networktransport.o networktransport.cc
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I./../crypto -I../protobufs -I/usr/include   -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o transportfragment.o transportfragment.cc
  CXX    transportsender.o
g++ -DHAVE_CONFIG_H -I. -I../..  -I./../util -I./../crypto -I../protobufs -I/usr/include   -Wall -Werror -Wextra -pedantic -Wno-long-long -Weffc++ -fno-default-inline -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c -o transportsender.o transportsender.cc
network.cc: In destructor 'Socket::~Socket()':
network.cc:443:20: error: 'close' was not declared in this scope
make[3]: *** [network.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/builddir/build/BUILD/mosh-1.1/src/network'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/mosh-1.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/mosh-1.1'
make: *** [all] Error 2
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.2ARZxu (%build)
Erreur de construction de RPM:
    Mauvais status de sortie pour /var/tmp/rpm-tmp.2ARZxu (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/mosh.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 352, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/mosh.spec']
LEAVE do --> EXCEPTION RAISED
Comment 3 Alex Chernyakhovsky 2012-03-26 18:51:35 EDT
Hi Michael,

Thanks for the review, I'm sorry I overlooked rawhide. I've corrected these issues, and sent a patch to upstream.

Spec URL: http://mit.edu/achernya/www/fedora/mosh.spec
SRPM URL: http://mit.edu/achernya/www/fedora/mosh-1.1-1.fc18.src.rpm

For reference, the old files can be found in http://mit.edu/achernya/www/fedora/old/

Sincerely,
-Alex
Comment 4 Alex Chernyakhovsky 2012-03-26 19:34:54 EDT
Hi Michael,

Upstream has already accepted my patches, please disregard the above URL and please see:


Spec URL: http://mit.edu/achernya/www/fedora/mosh.spec
SRPM URL: http://mit.edu/achernya/www/fedora/mosh-1.1.1-1.fc18.src.rpm

Also, I misread the "Join the package collection maintainers" page, I failed to note that I require sponsorship as this is my first package.

Sincerely,
-Alex
Comment 5 Praveen Kumar 2012-03-26 23:21:43 EDT
Hi Alex,

For sponsorship you have to edit Blocks field and put "FE-NEEDSPONSOR", you can check this detail on "Join the package collection maintainers" page. http://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Create_Your_Review_Request
Comment 6 Michael Scherer 2012-03-27 01:34:22 EDT
Unfortunately, I cannot sponsor you, so I will have to leave that review :/
Comment 7 Rex Dieter 2012-03-27 14:42:33 EDT
clearing review flag per comment #6
Comment 8 Rex Dieter 2012-03-27 14:48:56 EDT
I can review/sponsor.
Comment 9 Rex Dieter 2012-03-27 15:00:57 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3937373

$ rpmlint *.rpm mosh
mosh.src: I: enchant-dictionary-not-found en_US
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

naming: ok

sources: ok
md5sum *.gz
b42d1ba8e6e975f0e957c348cc998026  mosh-1.1.1.tar.gz

license: ok
all gplv3+ plus a small bit of public domain, bsd code

%files: ok, but
SHOULD: if I were you, I'd list everything explicitly (mosh  mosh-client  mosh-server), and not rely on * globs.  up to you.

macros: ok

scriplets: ok (n/a)

dependencies: ok


looks pretty simple, and clean.  APPROVED.
Comment 10 Rex Dieter 2012-03-27 15:03:05 EDT
optional homework once you get this package in, seriously consider helping do a package review for another submitter, here's the review queue to choose from:
http://fedoraproject.org/PackageReviewStatus/
Comment 11 Alex Chernyakhovsky 2012-03-27 19:32:16 EDT
New Package SCM Request
=======================
Package Name: mosh 
Short Description: Mobile shell that supports roaming and intelligent local echo
Owners: achernya
Branches: f15 f16 f17
InitialCC:
Comment 12 Gwyn Ciesla 2012-03-27 21:56:19 EDT
Git done (by process-git-requests).
Comment 13 Alex Chernyakhovsky 2012-04-10 20:59:22 EDT
Package Change Request
======================
Package Name: mosh
New Branches: el6
Owners: achernya
InitialCC:
Comment 14 Gwyn Ciesla 2012-04-11 07:58:27 EDT
Git done (by process-git-requests).
Comment 15 Alex Chernyakhovsky 2012-04-11 22:48:57 EDT
Package Change Request
======================
Package Name: mosh
New Branches: el5
Owners: achernya
InitialCC:
Comment 16 Gwyn Ciesla 2012-04-12 08:29:44 EDT
Git done (by process-git-requests).
Comment 17 Pablo Iranzo Gómez 2012-04-12 17:57:25 EDT
Is it expected to enter epel (el4,5,6) or a new bug should be filled?
Comment 18 Rex Dieter 2012-04-19 08:25:31 EDT
$ koji latest-pkg f18 mosh
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
mosh-1.1.1-1.fc18                         f18                   achernya

looks like we can close this out.
Comment 19 Alex Chernyakhovsky 2014-02-16 12:56:28 EST
Package Change Request
======================
Package Name: mosh
New Branches: epel7
Comment 20 Gwyn Ciesla 2014-02-17 08:02:51 EST
Please specify FAS account of intended owner.
Comment 21 Alex Chernyakhovsky 2014-04-19 19:40:25 EDT
Package Change Request
======================
Package Name: mosh
New Branches: epel7
Owners: achernya
Comment 22 Kevin Fenzi 2014-04-20 19:24:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.